## org.apache.batik.ext.awt.image.renderable
Interface SpecularLightingRable

All Superinterfaces:
  Filter, FilterColorInterpolation, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  SpecularLightingRable8Bit

public interface SpecularLightingRable
extends FilterColorInterpolation

This filter follows the specification of the feSpecularLighting filter in the SVG 1.0 specification.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`double[]` `getKernelUnitLength()` Returns the min [dx,dy] distance in user space for evalutation of the sobel gradient.
`double` `getKs()`
`Light` `getLight()`
`java.awt.geom.Rectangle2D` `getLitRegion()`
`Filter` `getSource()` Returns the source to be filtered
`double` `getSpecularExponent()`
`double` `getSurfaceScale()`
`void` `setKernelUnitLength(double[] kernelUnitLength)` Sets the min [dx,dy] distance in user space for evaluation of the sobel gradient.
`void` `setKs(double ks)` Sets the specular constant, or ks
`void` `setLight(Light light)`
`void` `setLitRegion(java.awt.geom.Rectangle2D litRegion)` Sets the litRegion for this filter
`void` `setSource(Filter src)` Sets the source to be filtered
`void` `setSpecularExponent(double specularExponent)` Sets the specular exponent
`void` `setSurfaceScale(double surfaceScale)` Sets the surface scale

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    public Filter getSource()

  Returns the source to be filtered

### setSource

    public void setSource(Filter src)

  Sets the source to be filtered

### getLight

    public Light getLight()

  Returns:
    Light object used for the diffuse lighting

### setLight

    public void setLight(Light light)

### getSurfaceScale

    public double getSurfaceScale()

  Returns:
    surfaceScale

### setSurfaceScale

    public void setSurfaceScale(double surfaceScale)

  Sets the surface scale

### getKs

    public double getKs()

  Returns:
    specular constant, or ks.

### setKs

    public void setKs(double ks)

  Sets the specular constant, or ks

### getSpecularExponent

    public double getSpecularExponent()

  Returns:
    specular exponent, or kd

### setSpecularExponent

    public void setSpecularExponent(double specularExponent)

  Sets the specular exponent

### getLitRegion

    public java.awt.geom.Rectangle2D getLitRegion()

  Returns:
    the litRegion for this filter

### setLitRegion

    public void setLitRegion(java.awt.geom.Rectangle2D litRegion)

  Sets the litRegion for this filter

### getKernelUnitLength

    public double[] getKernelUnitLength()

  Returns the min [dx,dy] distance in user space for evalutation of the sobel gradient.

### setKernelUnitLength

    public void setKernelUnitLength(double[] kernelUnitLength)

  Sets the min [dx,dy] distance in user space for evaluation of the sobel gradient. If set to zero or null then device space will be used.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.